## org.omg.SendingContext.CodeBasePackage
Class ValueDescSeqHelper

    java.lang.Object
      |
      +--org.omg.SendingContext.CodeBasePackage.ValueDescSeqHelper

public class ValueDescSeqHelper
extends java.lang.Object

Helper class for : ValueDescSeq

Author:
  OpenORB Compiler

Constructor Summary
`ValueDescSeqHelper()`

Method Summary
`static FullValueDescription[]` `extract(Any a)` Extract ValueDescSeq from an any
`static java.lang.String` `id()` Return the ValueDescSeq IDL ID
`static void` `insert(Any a, FullValueDescription[] t)` Insert ValueDescSeq into an any
`static FullValueDescription[]` `read(InputStream istream)` Read ValueDescSeq from a marshalled stream
`static TypeCode` `type()` Return the ValueDescSeq TypeCode
`static void` `write(OutputStream ostream, FullValueDescription[] value)` Write ValueDescSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueDescSeqHelper

    public ValueDescSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              FullValueDescription[] t)

  Insert ValueDescSeq into an any
  Parameters:
    `a` - an any
    `t` - ValueDescSeq value

### extract

    public static FullValueDescription[] extract(Any a)

  Extract ValueDescSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ValueDescSeq value

### type

    public static TypeCode type()

  Return the ValueDescSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ValueDescSeq IDL ID
  Returns:
    an ID

### read

    public static FullValueDescription[] read(InputStream istream)

  Read ValueDescSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ValueDescSeq value

### write

    public static void write(OutputStream ostream,
                             FullValueDescription[] value)

  Write ValueDescSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ValueDescSeq value